public var goalOffset : Vector3;
public var moveSpeed : float;
public var pauseLength : float;

private var currentPos : Vector3;
private var goalPos : Vector3;
private var lastPos : Vector3;
private var pauseStartTime : float;

function Start()
{
	lastPos = transform.position;
	goalPos = goalOffset + lastPos;
	pauseStartTime = -1000;
}

function Update()
{
	var theCurrentPos : Vector3 = transform.position;
	
	if( theCurrentPos == goalPos )
	{
		var theLastPos :Vector3 = goalPos;
		goalPos = lastPos;
		lastPos = theLastPos;
		
		pauseStartTime = Time.time;
	}

	if( Time.time - pauseStartTime < pauseLength )
	{
		return;
	}

	var theDelta : Vector3 = goalPos - theCurrentPos;
	var theMovement : Vector3 = theDelta.normalized * moveSpeed * Time.deltaTime;
	
	if( theMovement.magnitude > theDelta.magnitude )
	{
		theCurrentPos = goalPos;
	}
	else
	{
		theCurrentPos += theMovement;
	}

	transform.position = theCurrentPos;
}