public var cam : Camera;

private var defaultOffset : Vector3;
private var goalOffset : Vector3;
private var currentOffset : Vector3;
private var zoomSpeed : float;

function Start()
{
	defaultOffset = cam.transform.position - transform.position;
	currentOffset = defaultOffset;
	goalOffset = currentOffset;
}

function OnTriggerEnter( aCollider : Collider )
{
	var theCamZone : CamZone = aCollider.GetComponent( CamZone );
	if( theCamZone )
	{
		goalOffset.z = defaultOffset.z / theCamZone.zoom;
		zoomSpeed = theCamZone.zoomSpeed;
		
		goalOffset.x = defaultOffset.x + theCamZone.xyOffset.x;
		goalOffset.y = defaultOffset.y + theCamZone.xyOffset.y;
	}
}

function Update()
{
	if( currentOffset != goalOffset )
	{
		//Don't use a separate pan speed; could result in player being offscreen at untested transitions.
		currentOffset.z = Mathf.Lerp( currentOffset.z, goalOffset.z, Time.deltaTime * zoomSpeed );
		currentOffset.x = Mathf.Lerp( currentOffset.x, goalOffset.x, Time.deltaTime * zoomSpeed );
		currentOffset.y = Mathf.Lerp( currentOffset.y, goalOffset.y, Time.deltaTime * zoomSpeed );
		
		cam.transform.position = transform.position + currentOffset;
	}
}