public var isRunning : boolean = false;
public var isJumping : boolean = false;
public var playerModel : GameObject;

public var runAnimSpeed : float = 0.1;

private var anims : Animation;

function Start()
{
	anims = playerModel.GetComponent( Animation );
	anims["run"].wrapMode = WrapMode.Loop;
	anims["idle"].wrapMode = WrapMode.Loop;
	anims["jump"].wrapMode = WrapMode.ClampForever;
	
	anims["run"].speed *= runAnimSpeed;
}

function Update()
{
	if( isJumping )
	{
		if( !anims.IsPlaying( "jump" ) )
		{
			anims.Play( "jump" );
		}
	}
	else if( isRunning )
	{
		if( !anims.IsPlaying( "run" ) )
		{
			anims.Play( "run" );
		}
	}
	else
	{
		if( !anims.IsPlaying( "idle" ) )
		{
			anims.Play( "idle" );
		}
	}
}